input:not([type=checkbox]):not([type=radio]),
textarea, 
select {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

input, textarea {
	outline: none;
	&:focus:required:invalid { border-color: red }
	&:required:valid { border-color: green }
}

option::selection {background: #ccc;}
option::-moz-selection {background: #ccc;}
option::-webkit-selection {background: #ccc; color:#fff;}



.form-group {
	margin-bottom: 10px;

	@media (min-width: $screen-sm-min) {
		margin-bottom: 20px;
	}
}

.input-field {
	display: block;
	position: relative;
	background: transparent;
	$input-selector: "input[type=text], input[type=email], input[type=password], textarea";

	&:after {
		left: 0;
		top: 11px;
		z-index: 1;
		display: block;
		color: $gray-400;
		font-weight: 400;
		position: absolute;
		font-size: font-size-rel(16px);
		line-height: font-size-rel(22px);
		content: attr(data-placeholder);
		transition: .2s;
	}

	i {
		top: calc(50% - 12px);
		right: 0;
		z-index: 1;
		width: 24px;
		height: 24px;
		padding: 2px;
		font-size: 20px;
		line-height: 20px;
		color: #B4B3B1;
		position: absolute;
	}

	#{$input-selector} {
		width: 100%;
		height: 40px;
		z-index: 10;
		border: none;
		outline: none;
		display: block;
		color: #121212;
		font-weight: 400;
		position: relative;
		font-size: font-size-rel(16px);
		line-height: font-size-rel(20px);
		padding: 11px 100px 7px 0;
		background: transparent;
		border-bottom: 2px solid #121212;

		&::placeholder {
			color: transparent;
		}

		&:focus {
			border-bottom-color: #222734;
		}

		&:focus::placeholder {
			color: transparent;
		}

		&:invalid {
			box-shadow: none;
		}

		&:disabled {
			color: #D0D0D0;

			&::placeholder {
				color: #D0D0D0;
			}
		}
	}

	textarea {
		height: auto;
	}

	//custom placeholder
	&_focus:not(&_has-value),
	&_has-value {

		&::after {
			top: -2px;
			max-width: 90%;
			overflow: hidden;
			text-overflow: ellipsis;
			white-space: nowrap;
			left: 0 !important;
			color: $gray-400;
			font-weight: 400;
			font-size: font-size-rel(10px);
			line-height: font-size-rel(14px);
			transition: .2s;
		}
	}

	&_required {

		&::before {
			content: '*';
			position: absolute;
			right: 0;
			top: 12px;
			color: $red;
		}

		#{$input-selector} {

		}
	}

	&_success {

		#{$input-selector} {
			border-color: $red;
		}
		&:after {
			color: $gray-400;
		}
	}

	&_error {

		#{$input-selector} {
			color: $red;
			border-color: $red;

		}

		&:before {
			opacity: 0;
			visibility: hidden;
		}

		&:after {
			color: #B2B2B2
		}

		.input-field__error-text {
			opacity: 1;
			visibility: visible;
		}

		.input-field__line {
			background: $red;
		}
	}

	&__error-text {
		right: 0;
		top: 9px;
		opacity: 0;
		visibility: hidden;
		white-space: nowrap;
		display: block;
		position: absolute;
		color: $gray-400;
		font-weight: 400;
		font-size: font-size-rel(12px);
		line-height: font-size-rel(20px);
	}

	&__line {
		display: none;
	}

	.input-field-passview {
		z-index: 20;
		cursor: pointer;

		&.view {
			color: $red;
		}
	}

	.input-field-passview + #{$input-selector} {
		padding-right: 30px;
	}

	@media (min-width: $screen-md-min) {

		&__line {
			bottom: 0;
			left: 100%;
			content: '';
			height: 2px;
			width: 1000px;
			position: absolute;
			display: block;
			background: #121212;
		}
	}
}

.radio-button {
	font-size: 0;
	line-height: 0;
	position: relative;
	display: inline-block;

	input {
		top: 0;
		left: 0;
		width: 1px;
		height: 1px;
		opacity: 0;
		overflow: hidden;
		visibility: hidden;
		position: absolute;
		display: inline-block;
	}

	span {
		left: 0;
		color: $black;
		opacity: 0.2;
		cursor: pointer;
		position: relative;
		display: inline-block;
		font-weight: 700;
		font-size: font-size-rel(22px);
		line-height: font-size-rel(24px);
		transition: .3s;

		&:before {
			top: -15px;
			left: -20px;
			content: '';
			width: 20px;
			height: 20px;
			opacity: 0;
			visibility: hidden;
			position: absolute;
			background: url("../img/nav__hover.svg") 50% 50% no-repeat;
			background-size: cover;
			transition: .3s;
		}
	}

	&:hover {

		span {
			opacity: 0.6;
			transition: .3s;
		}
	}

	input:checked + span {
		color: $red;
		left: 20px;
		opacity: 1;
		transition: .3s;

		&:before {
			opacity: 1;
			visibility: visible;
			transition: .3s;
		}
	}

	@media (min-width: $screen-md-min) {

		span {
			&:before {
				display: none;
			}
		}

		input:checked + span {
			left: 0;
		}
	}

	@media (min-width: $screen-lg-min) {

		span {
			line-height: 130%;
			font-size: font-size-rel(28px);
		}
	}

	@media (min-width: $screen-xl-min) {

		span {
			line-height: 130%;
			font-size: font-size-rel(35px);
		}
	}
}